#
# spec file for package freePBX (Version 2.9.0)
#
#
#!BuildIgnore:          post-build-checks

BuildRequires: libpri >= 1.4.1
BuildRequires: asterisk >= 1.4.5 curl libedit
BuildRequires: mysql
BuildRequires: php5 php5-pear

Summary:	Asterisk web GUI
Name:		freepbx
Version:	2.9.0
Release:    	1.14
License:    	GPL
Group:		System/Servers
Source0:	%{name}-%{version}.tar.gz
Source1:	freepbx-trixbox-ampperm.sql
BuildRoot:	%{_tmppath}/%{name}-%{version}
URL:		http://www.freepbx.org/
AutoReqProv:	off
Requires:	mysql php5 php5-pear php5-pear-db php5-pcntl php5-posix php5-mysql php5-gettext ruby bash coreutils sed
Requires:	apache2-mod_php5
Provides: 	perl(retrieve_parse_amportal_conf.pl)

%if 0%{?suse_version}
%define _srvroot /srv/www
%else
%define _srvroot /var/www
%endif

%define _cgidir %{_srvroot}/cgi-bin
%define _docroot %{_srvroot}/htdocs

%description
FreePBX is a Standardised Implementation of Asterisk that gives you a GUI to manage your system. If you have looked into Asterisk, you would know that it does not come with any built in programming. You cannot plug a phone into it and make it work without editing configuration files, writing dialplans, and various messing about. FreePBX simplifies this by giving you a pre-written set of dialplans that allow you to have a fully functional PBX pretty much straight away.

%prep

%setup -q -n %{name}-%{version}


%build

%pre
/usr/bin/mysql -u root --password=passw0rd --execute "quit"
if [ "$?" -ne 0 ]
then
	echo "The password of the root mysql user is not set as standard for freePBX !"
	exit
fi

%install
%{__install} -d %{buildroot}/usr/src/%{name}-%{version}
cp -r * %{buildroot}/usr/src/%{name}-%{version}
%{__install} -m 644 %{SOURCE1} %{buildroot}/usr/src/%{name}-%{version}/SQL

%post
mv -f /usr/src/%{name} /usr/src/%{name}.RPMSAVE
ln -s /usr/src/%{name}-%{version} /usr/src/%{name}

# Only process the next section if it's a new install
# check this by testing for the existence of asterisk:admin table
/usr/bin/mysql --batch --user=root --password=passw0rd --execute="select count(*) from admin;" asterisk 2>/dev/null 
if [ "$?" -ne 0 ] ; then
	#create SQL table for FreePBX.org
	/usr/bin/mysqladmin create asterisk --user=root --password=passw0rd 2>/dev/null
	# create SQL database asteriskcdrdb
	/usr/bin/mysqladmin create asteriskcdrdb --user=root --password=passw0rd 2>/dev/null

	# Setting Permissions
	/usr/bin/mysql --user=root --password=passw0rd < /usr/src/%{name}-%{version}/SQL/freepbx-trixbox-ampperm.sql

	# Setting Permissions
	/usr/bin/mysql --user=root --password=passw0rd asterisk < /usr/src/%{name}-%{version}/SQL/newinstall.sql
	/usr/bin/mysql --user=root --password=passw0rd asteriskcdrdb < /usr/src/%{name}-%{version}/SQL/cdr_mysql_table.sql
	cp /usr/src/%{name}-%{version}/amportal.conf %{_sysconfdir}

	sed -i s@AMPWEBROOT=/var/www/html@AMPWEBROOT=%{_docroot}@g %{_sysconfdir}/amportal.conf
	sed -i s@AMPCGIBIN=/var/www/cgi-bin@AMPCGIBIN=%{_cgidir}@g %{_sysconfdir}/amportal.conf
	sed -i s@FOPWEBROOT=/var/www/html/panel@FOPWEBROOT=%{_docroot}/panel@g %{_sysconfdir}/amportal.conf

	echo " *** Installing FreePBX.org app"
	cd /usr/src/%{name}-%{version}
	echo a | ./install_amp

	echo " *** setting permissions and default values"
	cd /usr/src/%{name}-%{version} && ./apply_conf.sh
else
	echo " *** Updating FreePBX.org app"
	cd /usr/src/%{name}-%{version}
	echo a | ./install_amp
fi

touch %{_docroot}/panel/op_buttons_additional.cfg
touch %{_docroot}/panel/op_buttons_custom.cfg

touch /var/log/asterisk/cdr-csv/Master.csv
chmod 777  /var/log/asterisk/cdr-csv/Master.csv

mkdir -p /var/lib/asterisk/sounds/custom/

if ! grep amportal /etc/rc.d/rc.local >/dev/null 2>&1; then
        echo "/usr/sbin/amportal start" >> /etc/rc.d/rc.local
fi

chmod 755 /var/spool/asterisk/monitor

if [ -x /usr/sbin/amportal ]; then
	amportal restart
fi

%files
%defattr(-,root,root)
/usr/src/%{name}-%{version}/*

%changelog
* Wed May 04 2011 Carsten Schoene <cs@linux-administrator.com> - 2.8.1-1
- update to version 2.8.1

* Thu Jan 13 2011 Carsten Schoene <cs@linux-administrator.com> - 2.8.0-1
- update to version 2.8.0

* Tue Mar 09 2010 Carsten Schoene <cs@linux-administrator.com> - 2.7.0-1
- update to version 2.7.0

* Fri Jan 09 2009 Carsten Schoene <cs@linux-administrator.com> - 2.5.1-1
- update to version 2.5.1

* Mon Sep 22 2008 Carsten Schoene <cs@linux-administrator.com> - 2.5.0-1
- update to version 2.5.0

* Sun Mar 23 2008 <cs@linux-administrator.com> Carsten Schoene - 2.4.1-2
- changed webpaths in amportel.conf to /srv/www base
- reworked package requires

* Mon Feb 11 2008 <cs@linux-administrator.com> Carsten Schoene - 2.4.1-1
- bump version to 2.4.0

* Sun Feb 03 2008 <cs@linux-administrator.com> Carsten Schonee - 2.3.1-1
- bump version to 2.3.1

* Mon Jul 02 2007 <admin@trixbox.org> Doug Pedley
- 2.3.0beta1 version installed

* Tue Jun 26 2007 <admin@trixbox.org> Doug Pedley
- rolled version
- fix % typo in spec

* Wed Jun 13 2007 <admin@trixbox.org> Doug Pedley
- updated authtype in amportal.conf

* Tue Jun 12 2007 <admin@trixbox.org> Doug Pedley
- status.pl no longer in project.

* Tue Jun 12 2007 <admin@trixbox.org>
- FreePBX 2.2.2

* Fri Jun 08 2007 <admin@trixbox.org>
- Updating package to install as the original trixbox iso did.

* Fri Jan 26 2007 <admin@trixbox.org>
- Initial RPM package
